content/operate/rs/references/rest-api/requests/migrations/_index.md
| Method | Path | Description |
|---|---|---|
| GET | /v1/migrations/<uid> | Get database migration status |
GET /v1/migrations/<uid>
Gets the migration status of a database in the cluster when using Replica Of.
| Permission name | Roles |
|---|---|
| [view_bdb_info]({{< relref "/operate/rs/references/rest-api/permissions#view_bdb_info" >}}) | admin |
| cluster_member | |
| cluster_viewer | |
| db_member | |
| db_viewer | |
| user_manager |
GET /v1/migrations/1
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
| Field | Type | Description |
|---|---|---|
| uid | integer | The database's unique ID |
Returns a JSON array with all data required by the migration orchestrator.
{
"migration": {
"status": "string",
"lag": 0,
"rdb_size": 0,
"rdb_transferred": 0,
"run_id": "string",
"flush_counter": 0,
"source_shards": [
{
"replication_id": "string",
"replication_offset": 0
}
],
"error": {
"error_code": "string",
"message": "string",
"timestamp": "2019-08-24T14:15:22Z"
}
}
}
| Code | Description |
|---|---|
| 200 OK | No error |
| 404 Not Found | Database does not exist |